| v_hdmirxss1 Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

Macros | Functions
xv_hdmirxss1_frl.h File Reference

## Overview

This is main header file of the Xilinx HDMI RX Subsystem driver.

HDMI Transmitter Subsystem Overview

HDMI RX Subsystem is a collection of IP cores bounded together by software to provide an abstract view of the processing pipe. It hides all the complexities of programming the underlying cores from end user.

Subsystem Driver Features

HDMI Subsystem supports following features

- AXI Stream Input/Output interface
- 1, 2 or 4 pixel-wide video interface
- 8/10/12/16 bits per component
- RGB & YCbCr color space
- Up to 4k2k 60Hz resolution at both Input and Output interface
- Interlaced input support (1080i 50Hz/60Hz)

    MODIFICATION HISTORY:

    Ver   Who    Date     Changes

    1.00  EB   22/05/18 Initial release.

## Macros
#define | HDMIRXSS_FRL_H
| < prevent circular inclusions by using protection macros More...

## Functions
void | XV_HdmiRxSs1_FrlConfigCallback (void *CallbackRef)
| This function is called when the FRL link training requires configuration from application. More...
void | XV_HdmiRxSs1_FrlStartCallback (void *CallbackRef)
| This function is called when the FRL link training passes and sink is ready to receive video, audio and control packets. More...
void | XV_HdmiRxSs1_TmdsConfigCallback (void *CallbackRef)
| This function is called when during FRL link training, it is decided to fallback to the legacy HDMI TMDS mode. More...

## Macro Definition Documentation

#define HDMIRXSS_FRL_H

< prevent circular inclusions by using protection macros

## Function Documentation

void XV_HdmiRxSs1_FrlConfigCallback | ( | void * | CallbackRef | ) |

This function is called when the FRL link training requires configuration from application.

Parameters

  None. |

Returns
  None.

Note
  None.

References XV_HdmiRxSs1::FrlConfigCallback, and XV_HdmiRxSs1::FrlConfigRef.

void XV_HdmiRxSs1_FrlStartCallback | ( | void * | CallbackRef | ) |

This function is called when the FRL link training passes and sink is ready to receive video, audio and control packets.

Parameters

  None. |

Returns
  None.

Note
  None.

References XV_HdmiRxSs1::FrlStartCallback, XV_HdmiRxSs1::FrlStartRef, and XV_HdmiRxSs1_LogWrite().

void XV_HdmiRxSs1_TmdsConfigCallback | ( | void * | CallbackRef | ) |

This function is called when during FRL link training, it is decided to fallback to the legacy HDMI TMDS mode.

Parameters

  None. |

Returns
  None.

Note
  None.

References XV_HdmiRxSs1::TmdsConfigCallback, and XV_HdmiRxSs1::TmdsConfigRef.